org.eclipse.incquery.runtime.localsearch

## Class MatchingTable

- java.lang.Object
- - java.util.AbstractCollection<MatchingFrame>
  - - org.eclipse.incquery.runtime.localsearch.MatchingTable

- All Implemented Interfaces:
    java.lang.Iterable<MatchingFrame>, java.util.Collection<MatchingFrame>

      public class MatchingTable
      extends java.util.AbstractCollection<MatchingFrame>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatchingTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<MatchingFrame>` | `iterator()`
    `void` | `put(MatchingKey key, MatchingFrame value)`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `equals, hashCode, parallelStream, removeIf, spliterator, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### MatchingTable

          public MatchingTable()

  - ### Method Detail

    - #### iterator

          public java.util.Iterator<MatchingFrame> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<MatchingFrame>`
      Specified by:
        `iterator` in interface `java.util.Collection<MatchingFrame>`
      Specified by:
        `iterator` in class `java.util.AbstractCollection<MatchingFrame>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<MatchingFrame>`
      Specified by:
        `size` in class `java.util.AbstractCollection<MatchingFrame>`

    - #### put

          public void put(MatchingKey key,
                          MatchingFrame value)